Callisto4Bootloader: DCD_t Struct Reference

Callisto4Bootloader

Data Fields
DCD_t Struct Reference

Device Configuration Data (DCD) More...

`#include <bootloader_types.h>`

## Data Fields

union {
struct {
uint32_t tag:8
uint32_t length:16
uint32_t version:8
} B
| Bitfield representation. More...
uint32_t R
| Register representation. More...
} | header

## Detailed Description

Device Configuration Data (DCD)

Upon reset, the chip uses the default register values for all peripherals in the system. However, these settings typically are not ideal for achieving the optimal system performance and there are even some peripherals that must be configured before they can be used.

The DCD is a configuration information contained in the program image (external to the ROM) that the ROM interprets to configure various peripherals on the chip. For example, some components (such as SDRAM) require some sequence of register programming as a part of the configuration before it is ready to be used. The DCD feature can be used to program the SEMC register to the optimal settings. The ROM determines the location of the DCD table based on the information located in the Image Vector Table (IVT). See Image Vector Table and Boot Data for more details. The DCD table shown below is a big-endian byte array of the allowable DCD commands. The maximum size of the DCD is limited to 1768 B.

Definition at line 233 of file bootloader_types.h.

## Field Documentation

## ◆ B

struct { ... } DCD_t::B

Bitfield representation.

## ◆ header

union { ... } DCD_t::header

## ◆ length

uint32_t DCD_t::length

A two byte field in big endian format containing the overall length of the IVT, in bytes, including the header. (the length is fixed and must have a value of 32 bytes).

Definition at line 241 of file bootloader_types.h.

## ◆ R

uint32_t DCD_t::R

Register representation.

Definition at line 246 of file bootloader_types.h.

## ◆ tag

uint32_t DCD_t::tag

A single byte field set to 0xD2.

Definition at line 240 of file bootloader_types.h.

## ◆ version

uint32_t DCD_t::version

A single byte field set to 0x40 or 0x41.

Definition at line 244 of file bootloader_types.h.

The documentation for this struct was generated from the following file:

- src/bootloader_types.h